## ros-indigo-bwi-msgs 0.3.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bwi_msgs)

find_package(catkin REQUIRED 
  COMPONENTS 
    actionlib_msgs
    bwi_planning_common 
    geometry_msgs
    message_generation
    std_msgs
)

add_message_files(
  DIRECTORY msg
  FILES
    AvailableRobot.msg
    AvailableRobotArray.msg
    LEDActionResult.msg
    LEDAnimations.msg
    LEDCameraStatus.msg
    LEDTestType.msg
    StopBaseStatus.msg
    ScavStatus.msg
)

add_service_files(
  DIRECTORY srv
  FILES
    DoorHandlerInterface.srv
    LEDClear.srv
    LEDSetCamera.srv
    LEDTestStrip.srv
    QuestionDialog.srv
    ResolveChangeFloor.srv
    RobotTeleporterInterface.srv
    SemanticParser.srv
    StopBase.srv
    ScavHunt.srv
)

add_action_files(
  DIRECTORY action
  FILES
    LEDControl.action
    LogicalNavigation.action
)

generate_messages(
  DEPENDENCIES actionlib_msgs bwi_planning_common geometry_msgs std_msgs
)

catkin_package(
  CATKIN_DEPENDS 
    actionlib_msgs
    bwi_planning_common
    geometry_msgs
    message_runtime
    std_msgs
)

=== debian/changelog ===
ros-indigo-bwi-msgs (0.3.12-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 14 Sep 2016 05:00:00 -0000

ros-indigo-bwi-msgs (0.3.11-0trusty) trusty; urgency=high

  * Added need_assist animation to LEDAnimations.msg in bwi_msgs (#79 <https://github.com/utexas-bwi/bwi_common/issues/79>)
  * Contributors: Rolando Fernandez

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-bwi-msgs (0.3.10-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 15 Aug 2016 05:00:00 -0000

ros-indigo-bwi-msgs (0.3.9-0trusty) trusty; urgency=high

  * added LED control messages, services and actions
  * added a path to certificate messages from scav to virtour
  * added a new scavenger hunt service that can pause/resume current task
  * bwi_msgs: added a ScavStatus msg
  * Contributors: Shiqi Zhang, Rolando Fernandez, Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 05 Aug 2016 05:00:00 -0000

ros-indigo-bwi-msgs (0.3.8-0trusty) trusty; urgency=high

  * updated simulated calls that open the elevator doors to
    automatically close those doors.
  * added a service interface to allow teleporting a robot.
  * added service for resolving a change floor request.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 06 Jun 2016 05:00:00 -0000

ros-indigo-bwi-msgs (0.3.7-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 22 Sep 2015 05:00:00 -0000

ros-indigo-bwi-msgs (0.3.6-0trusty) trusty; urgency=high

  * add SemanticParser.srv to bwi_msgs (#30 <https://github.com/utexas-bwi/bwi_common/issues/30>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 25 Aug 2015 05:00:00 -0000

ros-indigo-bwi-msgs (0.3.5-0trusty) trusty; urgency=high

  * bwi_msgs: fix catkin lint problems (#31 <https://github.com/utexas-bwi/bwi_common/issues/31>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 22 Aug 2015 05:00:00 -0000

ros-indigo-bwi-msgs (0.3.4-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 19 Aug 2015 05:00:00 -0000

ros-indigo-bwi-msgs (0.3.3-0trusty) trusty; urgency=high

  * stop_base: another unit test (#23 <https://github.com/utexas-bwi/bwi_common/issues/23>, utexas-bwi/segbot#41 <https://github.com/utexas-bwi/segbot/issues/41>)
  * bwi_msgs: rename stop base service (#23 <https://github.com/utexas-bwi/bwi_common/issues/23>, utexas-bwi/segbot#41 <https://github.com/utexas-bwi/segbot/issues/41>)
  * stop_base: initial stop base implementation (#23 <https://github.com/utexas-bwi/bwi_common/issues/23>, utexas-bwi/segbot#41 <https://github.com/utexas-bwi/segbot/issues/41>)
  * bwi_msgs: add stop base controller interface (utexas-bwi/segbot#41 <https://github.com/utexas-bwi/segbot/issues/41>)
  * added a multi robot msg in preparation for multirobot experiments.
  * Contributors: Jack O'Quin, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-bwi-msgs (0.3.2-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-bwi-msgs (0.3.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 16 Mar 2015 05:00:00 -0000

ros-indigo-bwi-msgs (0.3.0-0trusty) trusty; urgency=high

  * Initial release of package. It's purpose is to avoid circular dependencies due to messages. see #15 <https://github.com/utexas-bwi/bwi_common/issues/15>.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 15 Mar 2015 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-bwi-msgs
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-bwi-planning-common, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/bwi_msgs
Standards-Version: 3.9.2

Package: ros-indigo-bwi-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-bwi-planning-common, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-std-msgs
Description: Contails messages used in the utexas-bwi codebase.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-bwi-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
